Foxit Reader和PhantomPDF 缓冲区错误漏洞

CVE编号

CVE-2020-12247

利用情况

暂无

补丁情况

N/A

披露时间

2020-09-04
漏洞描述
Adobe Reader是美国等都是美国奥多比(Adobe)公司的产品。Reader是一套PDF文档阅读软件。Foxit Reader等都是中国福昕(Foxit)公司的产品。Foxit Reader是一款PDF文档阅读器。mPDF等都是的产品。mPDF是一款使用PHP编写的用于将HTML转换成PDF文件的库。 Foxit Reader和PhantomPDF 10.0.1之前版本以及9.7.3之前版本中存在缓冲区错误漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://www.foxitsoftware.com/support/security-bulletins.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 foxitsoftware phantompdf * Up to
(including)
10.0.0.35798
运行在以下环境
应用 foxitsoftware phantompdf * Up to
(including)
9.7.2.29539
运行在以下环境
应用 foxitsoftware reader * Up to
(including)
10.0.0.35798
CVSS3评分
7.1
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况